ATABOOTCONFIG(8)

NAME
atabootconfig - Install and configure Atari bootstrapper

SYNOPSIS
atabootconfig

DESCRIPTION
atabootconfig is an interactive interface for installing and configuring the Atari bootstrap program, ataboot. It takes no options, just answer the questions it asks you.

atabootconfig does the following steps:

-   Find out on which TOS partition ataboot should be installed. An menu offers all partitions which have ID GEM or BGM, or can contain a Minix filesystem. You can also enter the path of an already-mounted TOS partition. The partition is mounted automatically if it isn't mounted yet.

-   Ask for the directory on that partition where ataboot should be installed, and create that directory if it doesn't exist yet.

-   Ask if BOOTP/TFTP support is wanted; in that case, an appropriate version of ataboot is installed.

-   Search for kernel images, named vmlinux, vmlinux.gz, or vmlinuz in the directories /, /boot, and /usr/src/linux. You can choose which kernel you want to install.

-   Install bootstrapper and kernel on the partition you selected.

-   Construct a bootargs file in the destination directory with options for ataboot. This involves whether the kernel should be loaded to ST-RAM, configuring a graphics board, and selecting the root partition for Linux. If a bootargs file already exists, its current settings are used as defaults.

OPTIONS
none

FILES

/etc/ataboot.conf
    In this file some of your answers are stored, so that they can be used as defaults in later runs.

AUTHOR
Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>